#ifndef __WORLD_H__
#define __WORLD_H__
#include "global.h"
#include "elements.h"
#include "life.h"


//returns the cell for the location
world_cell_t* get_cell(int x, int y);


//create the world
void init_world(int x, int y);//initilize everything
void destroy_world(void);//destroy everything
void execute_world(void);//execute the simulation for one iteration
int draw_world(void);//send the current picture of the world to the screen

#endif 
